mycall	{{ aprs_callsign }}-{{ aprs_station_number }}
myloc {{ aprs_latlon }}

<aprsis>
	passcode	{{ aprs_passcode }}
	server	aprs.memhamwan.net	14580
	{{ aprs_filter }}
</aprsis>
<logging>
	aprxlog /var/log/aprx/aprx.log
	rflog /var/log/aprx/aprx-rf.log
</logging>
{% if aprs_beacons is defined and aprs_beacons|length > 0  %}
<beacon>
	cycle-size {{ aprs_beacon_cycle_size }}
{% for beacon in aprs_beacons %}
	beacon {% if beacon.raw is defined %}raw "{{beacon.raw}}"{% else %}{% if beacon.object is defined %}object {{ beacon.object }} {% endif %}{% if beacon.myloc is defined %}$myloc {% else %}lat "{{ beacon.lat }}" lon "{{ beacon.lon }}" {% endif %}symbol "{{ beacon.symbol }}" comment "{{ beacon.comment }}"{% endif %}

{% endfor %}
</beacon>
{% endif %}
{% if aprs_interfaces is defined and aprs_interfaces|length > 0  %}
{% for interface in aprs_interfaces %}
<interface>
	serial-device	{{ interface }}
	timeout 10m
	tx-ok	true
</interface>
{% endfor %}
{% else %}
<interface>
    null-device $mycall
    tx-ok true
</interface>
{% endif %}
<digipeater>
	transmitter	$mycall
	<source>
		source	$mycall
{% if aprs_is_fill is defined and aprs_is_fill is true %}
        relay-type directonly
        viscous-delay 5
{% endif %}
	</source>
	<source>
		source APRSIS
		relay-type third-party
		viscous-delay 5 # prefer RF path
		{{ aprs_filter }}
	</source>
</digipeater>
